Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.cm
Class ConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.osgi.service.cm.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

public class ConfigurationException
extends java.lang.Exception

An `Exception` class to inform the Configuration Admin service of problems with configuration data.

See Also:
  Serialized Form

Constructor Summary
`ConfigurationException(java.lang.String property, java.lang.String reason)` Create a `ConfigurationException` object.

Method Summary
`java.lang.String` | `getProperty()` Return the property name that caused the failure or null.
`java.lang.String` | `getReason()` Return the reason for this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException(java.lang.String property,
                                  java.lang.String reason)

  Create a `ConfigurationException` object.
  Parameters:
    `property` - name of the property that caused the problem, `null` if no specific property was the cause
    `reason` - reason for failure

Method Detail

### getProperty

    public java.lang.String getProperty()

  Return the property name that caused the failure or null.
  Returns:
    name of property or null if no specific property caused the problem

### getReason

    public java.lang.String getReason()

  Return the reason for this exception.
  Returns:
    reason of the failure

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.